-- emotes

keg_idle = 
				{ 
					"hums to KegBartenderGender4 as KegBartenderGender3 wipes down the counter",
					"grabs a clean rag, and starts wiping down the counter, removing stains and crumbs", 
					"rubs a piece of cloth down the counter, making sure to remove any stains and spillage KegBartenderGender3 might spot.", 
					"lifts a wine glass, carefully inspecting it for finger prints and soap residues from being washed.", 
					"wipes down a wine glass with a cloth rag, making sure it's sparkling clean and ready for the next serving",
					"visits the tables to collect empty mugs and tankards, piling them onto a tray to bring to the kitchen",
					"grabs a tray and wanders through the inn to take empty plates and glasses from the tables, wiping them down with a rag",
					"picks up the small sack of salted mixed nuts and refills the bowls placed along the counter",
					"lifts the coffee and tea pots, checking how much is left",
				}

keg_paying = 
				{ 
					"nods KegBartenderGender1 thanks, and puts the coins in the coin jar", 
					"grabs the coins, putting them in the coin jar", 
					"smiles and grabs the coins, putting them in the coin jar", 
					"picks up the coins, putting them in the coin jar", 
					"nods, sliding coins into the coin jar", 
				}
				
				
keg_greetings = 
				{ 
					"How can I help you", 
					"What can I do for you", 
					"What can I do you for", 
					"What do you fancy", 
					"What can I get you tonight", 
					"What can I get you today", 
					"What would you like", 
					"How can I assist",
				}
				
kegservingemote_keg = { 
						"grabs a drinkingvessel and fills it from a servingvessel of itemname placing it on the counter in front of firstname",
						"picks up a drinkingvessel filling it with itemname from a servingvessel then places it in front of the race",
						"picks up a mug and fills it with itemname, spilling a bit as KegBartenderGender3 serves it for firstname",
					  }
	
kegservingemote_bottle = { 
						"grabs a drinkingvessel and fills it from a servingvessel of itemname, placing it on the counter in front of firstname",
						"picks up a drinkingvessel filling it with itemname from a servingvessel, then places it in front of the race",
						"puts a drinkingvessel on the counter in front of firstname then picks up a servingvessel of itemname and pours the drink.",
						"places a drinkingvessel in front of firstname, picks up a servingvessel of itemname and pours a serving",
						}	

kegservingemote_pitcher = { 
						"grabs a drinkingvessel and fills it from a servingvessel of itemname, placing it on the counter in front of firstname",
						"picks up a drinkingvessel filling it with itemname from a servingvessel, then places it in front of the race",
						"turns to the row of servingvessels and grabs a drinkingvessel, filling it with itemname and places it in front of firstname with a nod",
	}	
	
kegservingemote_pot = { 
						"grabs a drinkingvessel and fills it from a servingvessel of itemname, placing it on the counter in front of firstname",
						"picks up a drinkingvessel filling it with itemname from a servingvessel, then places it in front of the race",
						"walks to the stove and pours a drinkingvessel of itemname putting it on the counter in front of firstname with a nod",
						"walks to the stove and pours a drinkingvessel of steaming hot itemname for firstname putting it in front of gender1 with a nod",
	}
kegservingemote_cone = { 
						"grabs a paper cone and scoops up itemname, filling the cone before placing it on the counter in front of firstname",
}
kegservingemote_bpot = { 
						"grabs a drinkingvessel and turns to the large pot on the small stove, using a large ladle to fill servingvessel with itemname, placing it on the counter in front of firstname",
}
	

				
function parse_emote(emotetext,itemname, desc, drinkingvessel, servingvessel, marking, action)
-- (itemname, desc, drinkingvessel, servingvessel, marking, action)

local bartendersex = UnitSex("player")
	if     bartendersex == 2 then 
					KegBartenderGender= {"his", "him", "he", "himself"}
    elseif bartendersex == 3 then 
					KegBartenderGender= {"hers", "her", "she", "herself"}
   	end


local firstname, race = KEGSTAFF_getrp()
local gender = {}
				local gentemp = UnitSex("target")
					if     gentemp == 2 then 
							gender = { "man", "him"}
					elseif gentemp == 3 then 
								gender = { "woman", "her"}
					else 			
								gender = { "the patron", "them"}
					end


emotetext = string.gsub(emotetext, "KegBartenderGender1", KegBartenderGender[1])
emotetext = string.gsub(emotetext, "KegBartenderGender2", KegBartenderGender[2])
emotetext = string.gsub(emotetext, "KegBartenderGender3", KegBartenderGender[3])
emotetext = string.gsub(emotetext, "KegBartenderGender4", KegBartenderGender[4])
--print (action)
if action ~= nil then 
	--print (action)
	emotetext = string.gsub(emotetext, "itemname", itemname)
	emotetext = string.gsub(emotetext, "firstname", firstname)
	emotetext = string.gsub(emotetext, "desc", desc)
	emotetext = string.gsub(emotetext, "race", race)
	emotetext = string.gsub(emotetext, "drinkingvessel", drinkingvessel)
	emotetext = string.gsub(emotetext, "servingvessel", servingvessel)
	emotetext = string.gsub(emotetext, "marking", marking)
	emotetext = string.gsub(emotetext, "gender1", gender[1])
	emotetext = string.gsub(emotetext, "gender2", gender[2])
end
local retval = emotetext
return retval
end