local _,KEGSTAFF =...;
KEGSTAFF.Frm = {}
KEGSTAFF.SubPage = {}

function KEGSTAFF.CreateFrameMenu(FrmNum)
local num = FrmNum
FrmNum = "KegPage"..num
TopFrame = CreateFrame ("Frame", FrmNum, KEGSTAFFPARENTFRAME);
TopFrame:SetSize(400,450);
TopFrame:ClearAllPoints();
TopFrame:SetPoint("CENTER",-340,-10)
TopFrame:SetMovable(true)
TopFrame:EnableMouse(true)
TopFrame:RegisterForDrag("LeftButton")
TopFrame:SetScript("OnDragStart", TopFrame.StartMoving)
TopFrame:SetScript("OnDragStop", TopFrame.StopMovingOrSizing)
TopFrame:SetBackdrop( { bgFile = [[Interface\BlackMarket\BlackMarketBackground-Tile]], edgeFile = [[Interface\DialogFrame\UI-DialogBox-Gold-Border]], tile= false, tileSize = 32, edgeSize = 15, insets = {left = 5, right = 5, top = 5, bottom = 5 }}); 

local ScrollFrame = CreateFrame ("ScrollFrame", "KEGSTAFF_MenuScroll_"..num,TopFrame,"UIPanelScrollFrameTemplate");
ScrollFrame:ClearAllPoints();
ScrollFrame:SetPoint("TOPLEFT",TopFrame,5,-35)
ScrollFrame:SetSize(380,410);


ScrollFrame:SetClipsChildren(true);
ScrollFrame.ScrollBar:ClearAllPoints();
ScrollFrame.ScrollBar:SetPoint("TOPLEFT", ScrollFrame, "TOPRIGHT", -10, -17)
ScrollFrame.ScrollBar:SetPoint("BOTTOMRIGHT", ScrollFrame, "BOTTOMRIGHT", -10, 20)

--local pframe = TopFrame

local font = TopFrame:CreateFontString(pframefont, "ARTWORK", "GameFontHighlightLarge");
font:SetPoint("CENTER",FrmNum,-10,207)
font:SetJustifyH("CENTER");
font:SetJustifyV("LEFT");
if (num == 20) then 
font:SetText("Settings")
else
--print (num)
font:SetText(TheGoldenKegBeveragesCategory[num].Name)
end

local tex = TopFrame:CreateTexture(nil, "OVERLAY")
tex:ClearAllPoints();
if (num == 20) then 
tex:SetTexture("Interface\\ICONS\\INV_Misc_Gear_01")
else
--print (num)
tex:SetTexture(TheGoldenKegBeveragesCategory[num].Icon)
end

tex:SetSize(30,30);
tex:SetPoint("CENTER",FrmNum,-90,204)

local tex = TopFrame:CreateTexture()
tex:ClearAllPoints();
tex:SetTexture(.6 ,.6, .6, .2)
tex:SetTexture("Interface\\Buttons\\GoldGradiant.blp")
tex:SetSize(300, 3)
tex:SetPoint("CENTER",FrmNum,-10,187)

local numButtons = 50


local child = CreateFrame ("Frame", "KEGSTAFF_MenuChild_"..num, ScrollFrame); 
child:SetSize(365,15*(numButtons+1));
child:SetPoint("TOPLEFT",ScrollFrame,0,0)
ScrollFrame:SetScrollChild(child);
KEGSTAFF.ToolTipFrame = CreateFrame( "GameTooltip", "ToolTipFrame"..num, nil, "GameTooltipTemplate" ); 
KEGSTAFF.ToolTipFrame:SetScale(0.6)

local returntable = {}
returntable.TopFrame = TopFrame
returntable.ScrollFrame = ScrollFrame 
returntable.Child = child

return returntable

end

function KEGSTAFF.PopulatePages(k)

--local Category = TheGoldenKegBeveragesCategory[k].Name
local tags = TheGoldenKegBeveragesCategory[k].Tags
local tagnum = 0 local catnum = 0 local num_item = {}

local x_start =0
local y_start = 0
local x_step = 0
local y_step = 0
local headlines = 0
local fkvar = 0
local child = KEGSTAFF.PageFrame[k].Child
local ScrollFrame = KEGSTAFF.PageFrame[k].ScrollFrame

for token in string.gmatch(TheGoldenKegBeveragesCategory[k].Tags, "[^;]+") do

	--catnum = catnum +1
fkvar = fkvar+1
	local b = CreateFrame("Button", nil,ScrollFrame)
		b:SetSize(380,20)
		local just = (fkvar * -17);
		b:SetPoint("TOPLEFT",child,20,5+just)
		b:SetScript("OnEnter", function(widget) KEGSTAFF.ToolTipFrame:SetOwner(UIParent,"ANCHOR_CURSOR") 
			KEGSTAFF.ToolTipFrame:SetText("|cFFFFFF00"..token..":".."|r \n".."click for list", 1, 1, 1, 1, 1)
			KEGSTAFF.ToolTipFrame:Show() 
end)
		b:SetScript("OnClick", function(self, button, down) ListCategory(token,TheGoldenKegBeveragesCategory[k].Name) end)
		
		b:SetScript("OnLeave", function(widget) KEGSTAFF.ToolTipFrame:Hide() end)
		b:SetText("")
	--print (tag)
		local coltext = ScrollFrame:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		--local coltext = child:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		coltext:SetTextColor(KEGSTAFF.HexToRGB("FFFFFF"))
		coltext:SetSize(120,20)
		coltext:SetPoint("TOPLEFT",child,20,5+just)
		coltext:SetJustifyH("LEFT");
		coltext:SetFont("Fonts\\FRIZQT__.TTF",8)
		coltext:SetText("Name")
		--print (tablenm[i].name)
		
		local coltext = ScrollFrame:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		--local coltext = child:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		coltext:SetTextColor(KEGSTAFF.HexToRGB("FFFFFF"))
		coltext:SetPoint("TOPLEFT",child,155,5+just)
		coltext:SetSize(100,20)
		coltext:SetJustifyH("LEFT");
		coltext:SetFont("Fonts\\FRIZQT__.TTF",8)
		coltext:SetText("Type")
		
		local coltext = ScrollFrame:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		--local coltext = child:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		coltext:SetTextColor(KEGSTAFF.HexToRGB("FFFFFF"))
		coltext:SetPoint("TOPLEFT",child,235,5+just)
		coltext:SetSize(50,20)
		coltext:SetJustifyH("CENTER");
		coltext:SetFont("Fonts\\FRIZQT__.TTF",8)
		coltext:SetText("Mug/glass")
		
		local coltext = ScrollFrame:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		--local coltext = child:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		coltext:SetTextColor(KEGSTAFF.HexToRGB("FFFFFF"))
		coltext:SetPoint("TOPLEFT",child,285,5+just)
		coltext:SetSize(50,20)
		coltext:SetJustifyH("CENTER");
		coltext:SetFont("Fonts\\FRIZQT__.TTF",8)
		coltext:SetText("Bottle")
		
		--if fkvar == 0 then
		--fkvar = fkvar+2
		--else 
		fkvar = fkvar+1
		
		
local num_items = table.maxn(TheGoldenKegBeverages)
for i=1,num_items,1 do
			if (string.match(token, TheGoldenKegBeverages[i].Subcategory) and TheGoldenKegBeverages[i].Category == TheGoldenKegBeveragesCategory[k].Name) then 
			
			local b = CreateFrame("Button", nil,ScrollFrame)
		b:SetSize(400,20)
		fkvar = fkvar+1
		--fkvar = y_start+fkvar
		local just = (fkvar * -17)+17;
		--local just = fkvar * -15;
		b:SetPoint("TOPLEFT",child,20,5+just)
		local temptext = "|cFFFFFF00"..TheGoldenKegBeverages[i].Name..":".."|r \n"..TheGoldenKegBeverages[i].Description
		--print (temptext)
		b:SetScript("OnEnter", function(widget) KEGSTAFF.ToolTipFrame:SetOwner(UIParent,"ANCHOR_CURSOR") 
			KEGSTAFF.ToolTipFrame:SetText(temptext, 1, 1, 1, 1, 1)
			KEGSTAFF.ToolTipFrame:Show() 
end)
		b:SetScript("OnLeave", function(widget) KEGSTAFF.ToolTipFrame:Hide() end)
		b:SetText("")
		b:SetScript("OnClick", function(self, button, down) LeftClickMenuItem(TheGoldenKegBeverages[i].Name, TheGoldenKegBeverages[i].Description, TheGoldenKegBeverages[i].Drinkingvessel, TheGoldenKegBeverages[i].Servingvessel, TheGoldenKegBeverages[i].Markings, "emote") end)
		
		
		local coltext = ScrollFrame:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		--local coltext = child:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		
		coltext:SetSize(120,20)
		coltext:SetPoint("TOPLEFT",child,20,5+just)
		coltext:SetJustifyH("LEFT");
		coltext:SetFont("Fonts\\FRIZQT__.TTF",8)
		coltext:SetText(TheGoldenKegBeverages[i].Name)
		--print (tablenm[i].name)
		
		local coltext = ScrollFrame:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		--local coltext = child:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		coltext:SetPoint("TOPLEFT",child,155,5+just)
		coltext:SetSize(100,20)
		coltext:SetJustifyH("LEFT");
		coltext:SetFont("Fonts\\FRIZQT__.TTF",8)
		coltext:SetText(TheGoldenKegBeverages[i].Subcategory)
		
		
		local coltext = ScrollFrame:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		--local coltext = child:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		coltext:SetPoint("TOPLEFT",child,235,5+just)
		coltext:SetSize(50,20)
		coltext:SetJustifyH("CENTER");
		coltext:SetFont("Fonts\\FRIZQT__.TTF",8)
		coltext:SetText(TheGoldenKegBeverages[i].Price1)
			
		local coltext = ScrollFrame:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		--local coltext = child:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		coltext:SetPoint("TOPLEFT",child,285,5+just)
		coltext:SetSize(50,20)
		coltext:SetJustifyH("CENTER");
		coltext:SetFont("Fonts\\FRIZQT__.TTF",8)
		coltext:SetText(TheGoldenKegBeverages[i].Price2)
			
		
			
			end
			--fkvar = fkvar+1
end


end





end

function KEGSTAFF.ConfigPage()

local child = KEGSTAFF.PageFrame[20].Child
local ScrollFrame = KEGSTAFF.PageFrame[20].ScrollFrame


--[[
KegStaffConfig = {
	["version"] = "3.0",
	["menuhidden"] = true,
	["audiotriggerwords"] = "bartender,barkeep,zhakariah,zhak,AFK",
	["enableaudiotriggers"] = true,
	["frame_point"] = "CENTER",
	["show_notes"] = true,
}
]]

if (KegStaffConfig["version"] == nil) then KegStaffConfig["version"] = "3.0" end
if (KegStaffConfig["menuhidden"] == nil) then KegStaffConfig["menuhidden"] = false end
if (KegStaffConfig["audiotriggerwords"] == nil) then KegStaffConfig["audiotriggerwords"] = "bartender,barkeep,AFK,afk" end
if (KegStaffConfig["enableaudiotriggers"] == nil) then KegStaffConfig["enableaudiotriggers"] = true end
if (KegStaffConfig["show_notes"] == nil) then KegStaffConfig["show_notes"] = true end
if (KegStaffConfig["frame_point"] == nil) then KegStaffConfig["frame_point"] = "CENTER" end


--[[
local coltext = ScrollFrame:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		--local coltext = child:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		coltext:SetPoint("TOPLEFT",child,20,-15)
		coltext:SetSize(50,20)
		coltext:SetJustifyH("CENTER");
		coltext:SetFont("Fonts\\FRIZQT__.TTF",8)
		coltext:SetText("Version: "..KegStaffConfig["version"])
]]
myCheckButton = CreateFrame("CheckButton", "myCheckButton_GlobalName", ScrollFrame, "ChatConfigCheckButtonTemplate");
myCheckButton:SetPoint("TOPLEFT", 20, -15);
myCheckButton_GlobalNameText:SetText("Show notes");
myCheckButton.tooltip = "Wether or not to show notes when targeting people.";
if (KegStaffConfig["show_notes"] == true) then myCheckButton:SetChecked(true) else myCheckButton:SetChecked(false) end
myCheckButton:SetScript("OnClick", 
  function(self)
    KegStaffConfig["show_notes"] = myCheckButton:GetChecked()
  end
);

myCheckButton2 = CreateFrame("CheckButton", "myCheckButton2_GlobalName", ScrollFrame, "ChatConfigCheckButtonTemplate");
myCheckButton2:SetPoint("TOPLEFT", 20, -35);
myCheckButton2_GlobalNameText:SetText("Audio alert");
myCheckButton2.tooltip = "Wether or not to play sound when keyword is in chat.";
if (KegStaffConfig["enableaudiotriggers"] == true) then myCheckButton2:SetChecked(true) else myCheckButton2:SetChecked(false) end
myCheckButton2:SetScript("OnClick", 
  function(self)
    KegStaffConfig["enableaudiotriggers"] = myCheckButton2:GetChecked()
  end
);

local coltext = ScrollFrame:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		--local coltext = child:CreateFontString("Frame", "ARTWORK", "GameFontNormal");
		coltext:SetPoint("TOPLEFT",child,20,-55)
		coltext:SetSize(300,20)
		coltext:SetJustifyH("LEFT");
		--coltext:SetFont("Fonts\\FRIZQT__.TTF",8)
		coltext:SetText("Triggerwords:")


local f = CreateFrame("EditBox", "myEditBox", ScrollFrame, "InputBoxTemplate")
--f:SetFrameStrata("DIALOG")
f:SetSize(300,20)
f:SetAutoFocus(false)
f:SetText(KegStaffConfig["audiotriggerwords"])
f:SetPoint("TOPLEFT", 25, -75)
f:SetScript("OnTextChanged", 
  function(self)
    KegStaffConfig["audiotriggerwords"] = f:GetText()
  end
);


end




function KEGSTAFF.SetupClick(b)

			for k, v in pairs(TheGoldenKegBeveragesCategory) do

					b[k]:SetScript("OnClick", function(self) 
	if not KEGSTAFF.PageFrame[k].TopFrame:IsVisible() then KEGSTAFF.HideFrames() KEGSTAFF.PopulatePages(k) KEGSTAFF.PageFrame[k].TopFrame:Show(); else KEGSTAFF.HideFrames() KEGSTAFF.PageFrame[k].TopFrame:Hide();end end)
				

			end
b[20]:SetScript("OnClick", function(self) 
	if not KEGSTAFF.PageFrame[20].TopFrame:IsVisible() then KEGSTAFF.HideFrames() KEGSTAFF.ConfigPage() KEGSTAFF.PageFrame[20].TopFrame:Show(); else KEGSTAFF.HideFrames() KEGSTAFF.PageFrame[20].TopFrame:Hide();end end)

end